# Uses of Class
org.apache.sling.discovery.commons.providers.spi.base.IdMapService

Packages that use IdMapService
Package
Description
org.apache.sling.discovery.commons.providers.spi.base
Provides default SPI-implementations used by discovery.commons.providers.impl

## Uses of IdMapService in org.apache.sling.discovery.commons.providers.spi.base

Methods in org.apache.sling.discovery.commons.providers.spi.base that return IdMapService
Modifier and Type
Method
Description
`static IdMapService`
IdMapService.`testConstructor(DiscoveryLiteConfig commonsConfig, org.apache.sling.settings.SlingSettingsService settingsService, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory)`
test-only constructor
Methods in org.apache.sling.discovery.commons.providers.spi.base with parameters of type IdMapService
Modifier and Type
Method
Description
`static OakBacklogClusterSyncService`
OakBacklogClusterSyncService.`testConstructor(DiscoveryLiteConfig commonsConfig, IdMapService idMapService, org.apache.sling.settings.SlingSettingsService settingsService, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory)`
for testing only!
`static OakBacklogClusterSyncService`
OakBacklogClusterSyncService.`testConstructorAndActivate(DiscoveryLiteConfig commonsConfig, IdMapService idMapService, org.apache.sling.settings.SlingSettingsService settingsService, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory)`